Qt 5.7 | Qt 3D | QML Types | ShaderProgram QML Type

Qt 5.7.1 Reference Documentation

# ShaderProgram QML Type

Encapsulates a Shader Program. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.5
Instantiates: | QShaderProgram

- List of all members, including inherited members

## Properties

- computeShaderCode : string
- fragmentShaderCode : string
- geometryShaderCode : string
- tessellationControlShaderCode : string
- tessellationEvaluationShaderCode : string
- vertexShaderCode : string

## Methods

- string loadSource(url sourceUrl)

## Detailed Description

ShaderProgram class encapsulates a shader program. A shader program consists of several different shaders, such as vertex and fragment shaders.

## Property Documentation

computeShaderCode : string

Holds the compute shader code used by this shader program.

fragmentShaderCode : string

Holds the fragment shader code used by this shader program.

geometryShaderCode : string

Holds the geometry shader code used by this shader program.

tessellationControlShaderCode : string

Holds the tesselation control shader code used by this shader program.

tessellationEvaluationShaderCode : string

Holds the tesselation evaluation shader code used by this shader program.

vertexShaderCode : string

Holds the vertex shader code used by this shader program.

## Method Documentation

string loadSource(url sourceUrl)

Returns the shader code loaded from sourceUrl.